Page MenuHomePhabricator

Rename user TextworkerBot to VladiBot on ru.wiki
Closed, DeclinedPublic

Description

We have a local request in ru.wiki for renaming a bot with 400k+ edits. Sysadmin's help is required as renames on users with more than 50k edits can't be normally processed.

Links

Event Timeline

Rubin16 created this task.Dec 18 2016, 7:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MarcoAurelio renamed this task from rename user TextworkerBot to VladiBot to Rename user TextworkerBot to VladiBot.Dec 18 2016, 10:03 PM
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added a subscriber: MarcoAurelio.
Aklapper renamed this task from Rename user TextworkerBot to VladiBot to Rename user TextworkerBot to VladiBot on ru.wiki.Dec 19 2016, 10:39 AM

Andre, this is a global rename request :)

Legoktm changed the task status from Open to Stalled.Dec 20 2016, 12:07 AM
Legoktm added a subscriber: Legoktm.

First off, I don't speak Russian so MaxSem helped me translate the initial request, which says "Username too generic, according to tradition bots are to be named close to operator's username".

As I mentioned on the mailing list, renames of this size are pretty expensive in both server resources and sysadmin time (I'd have to supervise it, and since it's so big I'm fairly sure it's going to fail and will need manual re-queueing). With that in mind, and given that this is a bot, and the rename is just for tradition, I don't think it's worth going ahead with this rename. I would ask @Rubin16 to ask the original requestor to just stop using the old account and create a new one. Or ignore the tradition and keep the original username.

Marking as stalled just to make sure I've understood the situation properly and haven't missed anything. Otherwise I'd like to decline this request.

I'm original requestor. I thought that for renaming should change the only one row in the database.
Ok, if it is problematic then decline the request. Thank you.

Legoktm closed this task as Declined.Jan 18 2017, 10:07 PM

Thanks for understanding.

MarcoAurelio moved this task from Backlog to Closed on the GlobalRename board.Jan 22 2017, 4:32 PM